AUDIT_ADD_WATCH(3)

NAME
audit_add_watch - create a rule layout for a watch

SYNOPSIS
#include <libaudit.h>

int audit_add_watch(struct audit_rule_data **rulep, const char *path);"

DESCRIPTION

audit_add_watch will create a watch rule in the pointer to a pointer rulep. All that you need to pass it is the full path to a file and it will initialize the audit_rule_data structure for a watch.

RETURN VALUE

Returns -1 if an error occurs; otherwise, 0 for success.

SEE ALSO

audit_add_rule_data(3), audit_delete_rule_data(3).

AUTHOR
Steve Grubb